Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.statistics.support
Class StatisticsCounter

    java.lang.Object
      org.red5.server.api.statistics.support.StatisticsCounter

    public class StatisticsCounter

extends Object

Counts numbers used by the statistics. Keeps track of current, maximum and total numbers.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Constructor Summary
`StatisticsCounter()`

Method Summary
`void` | `decrement()` Decrement statistics by one.
`int` | `getCurrent()` Get current number.
`int` | `getMax()` Get maximum number.
`int` | `getTotal()` Get total number.
`void` | `increment()` Increment statistics by one.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatisticsCounter

    public StatisticsCounter()

Method Detail

### increment

    public void increment()

  Increment statistics by one.

### decrement

    public void decrement()

  Decrement statistics by one.

### getCurrent

    public int getCurrent()

  Get current number.

  Returns:
    current number

### getTotal

    public int getTotal()

  Get total number.

  Returns:
    total

### getMax

    public int getMax()

  Get maximum number.

  Returns:
    max

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project